%global modulename duplexify

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-duplexify
Version:        3.6.1
Release:        1%{?dist}
Summary:        Turn a writable and readable stream into a streams2 duplex stream with support for async initialization and streams1/streams2 input

License:        MIT
URL:            https://github.com/mafintosh/duplexify
Source0:        https://registry.npmjs.org/duplexify/-/duplexify-3.6.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(end-of-stream) >= 1.0.0 with npmlib(end-of-stream) < 2.0.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.1 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 2.0.0 with npmlib(readable-stream) < 3.0.0))
BuildRequires:  ((npmlib(stream-shift) >= 1.0.0 with npmlib(stream-shift) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Turn a writable and readable stream into a streams2 duplex stream with support for async initialization and streams1/streams2 input

%package 3.6.1
Summary:        Turn a writable and readable stream into a streams2 duplex stream with support for async initialization and streams1/streams2 input


%description 3.6.1
Turn a writable and readable stream into a streams2 duplex stream with support for async initialization and streams1/streams2 input

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.6.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 3.6.1-1
- Package automatically generated by npm2srpm
